{% extends 'app.html.twig' %}

{% block app_title %}
    <h1 class="mb-5">{{ 'Two-Factor Verification'|trans }}</h1>
{% endblock %}

{% block app_body %}
    <p class="mt-4">{{ 'Here are your new two-factor recovery codes:'|trans }}</p>

    <div class="input-group">
        <!--suppress HtmlFormInputWithoutLabel -->
        <span type="text" class="form-control form-control-lg user-select-all text-danger d-inline-block">
            {% for backupCode in backupCodes %}
                {{ backupCode }}<br/>
            {% endfor %}
        </span>
        <span class="input-group-text" data-copy="{{ backupCodes | join('\n') }}">
            <span class="fa fa-lg fa-fw fa-poo"></span>
            <span class="fa fa-lg fa-fw fa-copy"></span>
            <span class="fa fa-lg fa-fw fa-check"></span>
        </span>
    </div>

    <p class="mt-4">
        {{ 'Each recovery code can be used once instead of your two-factor authenticator app.'|trans }}
        <strong>
            {{ 'Keep the codes for emergencies in the event when you cannot access your authenticator app!'|trans }}
        </strong>
    </p>

    <p class="alert alert-danger mt-4">
        {{ 'Download, print, or copy the recovery codes and keep them secret.'|trans }}
        <strong>{{ 'These recovery codes are only shown once!'|trans }}</strong>
    </p>

    <p class="mt-4">
        <a href="{{ path('setup-account') }}" class="btn btn-info">{{ 'Back to account setup'|trans }}</a>
    </p>
{% endblock %}
